org.richfaces.component

## Enum AbstractExtendedDataTable.PropertyKeys

- java.lang.Object
- - java.lang.Enum<AbstractExtendedDataTable.PropertyKeys>
  - - org.richfaces.component.AbstractExtendedDataTable.PropertyKeys

- All Implemented Interfaces:
    Serializable, Comparable<AbstractExtendedDataTable.PropertyKeys>
  Enclosing class:
    AbstractExtendedDataTable

      protected static enum AbstractExtendedDataTable.PropertyKeys
      extends Enum<AbstractExtendedDataTable.PropertyKeys>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `clientFirst`
    `clientRows`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AbstractExtendedDataTable.PropertyKeys` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AbstractExtendedDataTable.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### clientFirst

          public static final AbstractExtendedDataTable.PropertyKeys clientFirst

    - #### clientRows

          public static final AbstractExtendedDataTable.PropertyKeys clientRows

  - ### Method Detail

    - #### values

          public static AbstractExtendedDataTable.PropertyKeys[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AbstractExtendedDataTable.PropertyKeys c : AbstractExtendedDataTable.PropertyKeys.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AbstractExtendedDataTable.PropertyKeys valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.